> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/workflow/workflowusdtable.md).

# Workflow$table

### Workflow$<mark style="color:purple;">table</mark>(*table\_reference*) → [Table](/api/client-libraries/redivis-r/reference/table.md)

Create a reference to a table within a workflow. This can be any table produced by the workflow, or a table from one of the workflow's [datasources](/api/client-libraries/redivis-r/reference/datasource.md).

### **Parameters:**

**`table_reference` :&#x20;*****str***\
The [scoped reference of the table](/api/referencing-resources.md), e.g. `table_name` or `table_name:referenceId`. Tables from the workflow's datasources can be referenced by their name in the same way. See [referencing tables within a workflow](/api/referencing-resources.md#referencing-tables-within-a-workflow) for how a name is resolved when more than one table matches.

### **Returns:**

[**Table**](/api/client-libraries/redivis-r/reference/table.md)

{% hint style="info" %}
Tables referenced through a workflow are read through the workflow, using the version (and sample, if applicable) selected for their datasource. Methods that modify a table, such as [`Table$update()`](/api/client-libraries/redivis-r/reference/table/tableusdupdate.md) and [`Table$update_variables()`](/api/client-libraries/redivis-r/reference/table/tableusdupdate_variables.md), first fetch the table to determine its fully qualified reference, and then modify the table in the dataset or workflow that it belongs to.
{% endhint %}

### Examples

```r
workflow <- redivis$user("imathews")$workflow("example_workflow_climate_analysis")

table <- workflow$table('compute_annual_precipitation_output:m7k8')
table$to_tibble()
# 	id	        year	    annual_precip
# 0	CA0023026HN	2003	    2925.0
# ...

# A table from a dataset that has been added to the workflow
observations <- workflow$table("daily_observations")
observations$to_tibble(max_results=100)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/workflow/workflowusdtable.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
